Bug 467284 - Revert button doesn't work in system-config-selinux
Revert button doesn't work in system-config-selinux
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: policycoreutils (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Pardy
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F10Target F10DesktopTarget
  Show dependency treegraph
 
Reported: 2008-10-16 13:22 EDT by Christopher D. Stover
Modified: 2009-06-26 17:03 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-26 17:03:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Christopher D. Stover 2008-10-16 13:22:58 EDT
Description of problem: Checking options under the boolean tab works fine and modified options show up under the custom view.  However, if you click on one of these options in the customized view and click the Revert button, nothing happens.

Version-Release number of selected component (if applicable):
GNOME SELinux Management Tool 5
Version 2.24.1

How reproducible:
Every time.

Steps to Reproduce:
1. Run system-config-selinux
2. Go to the Boolean tab
3. Modify an option by checking the box
4. Click on the Customized view
5. Choose an option to revert
6. Click the revert button
  
Actual results:
Nothing happens.

Expected results:
Option should return to the default value and be removed from the customized display.

Additional info:
Traceback (most recent call last):
  File "/usr/share/system-config-selinux/system-config-selinux.py", line 122, in delete
    self.tabs[self.notebook.get_current_page()].deleteDialog()
  File "/usr/share/system-config-selinux/booleansPage.py", line 164, in deleteDialog
    self.booleansView.get_root_window().set_cursor(cursor)
NameError: global name 'cursor' is not defined
Comment 1 Matthias Clasen 2008-10-18 23:46:08 EDT
Changing that line to 

            self.booleansView.get_root_window().set_cursor(self.ready_cursor)

makes the warning  go away
Comment 2 Bug Zapper 2008-11-25 22:55:50 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Christopher Pardy 2009-06-26 17:03:17 EDT
revert simply changes the system settings to match the default ones, the items will still be displayed in customized and will only change if they are diffrent than the system settings.

Note You need to log in before you can comment on or make changes to this bug.